﻿Imports System
Imports System.IO
Imports SolidFramework.Pdf

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function CombinePdfFiles(ByVal inputFolder As String, ByVal outputPath As String) As Boolean

            ' Get the list of files to combine
            Dim filesToCombine As String() = Directory.GetFiles(inputFolder, "*.pdf")

            If filesToCombine.Length < 1 Then
                Console.WriteLine("Could not find any pdf files to combine in " & inputFolder)
                Return False
            End If

            Console.WriteLine("Combining PDFs from " & inputFolder & " into " & outputPath)

            ' Create a PdfDocument and open the first PDF file
            Using document As PdfDocument = New PdfDocument(filesToCombine(0))
                document.Open()

                ' Add the rest of the files
                For Each path As String In filesToCombine

                    ' Create another PdfDocument and open the next file
                    Using nextDocument As PdfDocument = New PdfDocument(path)
                        nextDocument.Open()

                        ' Append this PdfDocument to the first PdfDocument
                        document.Append(nextDocument)
                    End Using
                Next

                ' Save the combined PdfDocument
                document.SaveAs(outputPath, SolidFramework.Plumbing.OverwriteMode.ForceOverwrite)
            End Using

            Console.WriteLine("Successfully combined PDFs from " & inputFolder & " into " & outputPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
