﻿Imports System
Imports SolidFramework.Converters
Imports SolidFramework.Converters.Plumbing

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function ConvertPdfToImages(ByVal pdfPath As String, ByVal outputFolder As String) As Boolean

            ' Create a PdfToImageConverter
            Using converter As PdfToImageConverter = New PdfToImageConverter()

                ' Add the PDF file to convert
                converter.AddSourceFile(pdfPath)

                ' Set the output folder And overwrite mode
                converter.OutputDirectory = outputFolder
                converter.OverwriteMode = SolidFramework.Plumbing.OverwriteMode.ForceOverwrite

                ' Set the conversion type to ExtractPages
                converter.ConversionType = ImageConversionType.ExtractPages

                ' Optional Set PdfToImageConverter options to your liking
                converter.PageDPI = 300
                converter.OutputType = ImageDocumentType.Png
                Console.WriteLine("Converting " & pdfPath & " to images in folder " & outputFolder)

                ' Convert the file
                converter.Convert()

                ' Check the results were successful
                For Each result As ConversionResult In converter.Results

                    If result.Status <> ConversionStatus.Success Then
                        Console.WriteLine("Converting " & pdfPath & " to images failed with status: " & result.ToString())
                        Console.WriteLine()
                        Return False
                    End If
                Next
            End Using

            Console.WriteLine("Successfully converted " & pdfPath & " to images")
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
