﻿Imports System
Imports SolidFramework.Pdf

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function EditDocumentProperties(ByVal pdfPath As String, ByVal outputPath As String) As Boolean

            ' Create a PdfDocument And open the PDF file
            Using document As PdfDocument = New PdfDocument(pdfPath)
                document.Open()

                ' Modify the document info
                Dim documentInfo As Info = document.Info
                documentInfo.Title = "Modified Properties"
                documentInfo.Subject = "PDF Manipulation"
                documentInfo.Creator = "SolidFramework Samples"
                documentInfo.Producer = "SolidFramework " & SolidFramework.Platform.Platform.GetFullVersion()

                Console.WriteLine("Editing document properties for " & outputPath)

                ' Save the modified pdf
                document.SaveAs(outputPath, SolidFramework.Plumbing.OverwriteMode.ForceOverwrite)
            End Using

            Console.WriteLine("Successfully edited document properties for " & outputPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
