﻿Imports System
Imports SolidFramework.Converters
Imports SolidFramework.Converters.Plumbing

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function ExtractPdfImages(ByVal pdfPath As String, ByVal outputFolder As String) As Boolean

            ' Create a PdfToImageConverter
            Using converter As PdfToImageConverter = New PdfToImageConverter()

                ' Add the PDF file to extract images from
                converter.AddSourceFile(pdfPath)

                ' Set the output folder And overwrite mode
                converter.OutputDirectory = outputFolder
                converter.OverwriteMode = SolidFramework.Plumbing.OverwriteMode.ForceOverwrite

                ' Set the conversion type to ExtractImages

                ' Optional Set PdfToImageConverter options to your liking
                converter.ConversionType = ImageConversionType.ExtractImages
                converter.OutputType = ImageDocumentType.[Default]

                Console.WriteLine("Extracting images from " & pdfPath & " into folder " & outputFolder)

                ' Call Convert to extract the images
                converter.Convert()

                For Each result As ConversionResult In converter.Results

                    If result.Status <> ConversionStatus.Success Then
                        Console.WriteLine("Extracting images from " & pdfPath & " failed with status: " & result.ToString())
                        Console.WriteLine()
                        Return False
                    End If
                Next
            End Using

            Console.WriteLine("Successfully extracted images from " & pdfPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
