﻿Imports System
Imports System.IO
Imports SolidFramework
Imports SolidFramework.Model.Pdf.Pages

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function ExtractPdfPages(ByVal pdfPath As String, ByVal outputFolder As String) As Boolean

            ' Create a PagesModel
            Using model As PagesModel = New PagesModel()

                ' Open the PDF file
                model.OpenPDF(pdfPath)

                ' Set the base path for the output files
                Dim basePath As String = Path.Combine(outputFolder, Path.GetFileNameWithoutExtension(pdfPath))

                ' Get the page count
                Dim pageCount As Integer = model.PageCount
                Console.WriteLine("Extracting pages from " & pdfPath & " into " & outputFolder)

                For pageIndex As Integer = 0 To pageCount - 1

                    ' Set the models selection to the current page index
                    model.Selection = New PagesArray From {
                        pageIndex
                    }

                    ' Save the model's selection to the output folder
                    model.Save(basePath & "-" & (pageIndex + 1) & ".pdf", True)
                Next
            End Using

            Console.WriteLine("Successfully extracted pages from " & pdfPath & " into " & outputFolder)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
