﻿Imports System
Imports SolidFramework.Converters
Imports SolidFramework.Converters.Plumbing

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function ExtractPdfText(ByVal pdfPath As String, ByVal outputPath As String) As Boolean

            ' Create a PdfToTextConverter
            Using converter As PdfToTextConverter = New PdfToTextConverter()

                ' Add the PDF file to convert
                converter.AddSourceFile(pdfPath)

                ' Optional Set PdfToTextConverter options to your liking
                converter.DetectAndRemoveHeadersAndFooters = True
                converter.KeepLineBreaks = True
                converter.LineTerminator = LineTerminator.Windows

                ' Optional Add a progress/warning handler
                Dim nextPercentToLog As Double = 25
                AddHandler converter.Progress,
                Sub(sender, progress)
                    Dim percent As Double = progress.Progress * 100.0 / progress.MaxProgress

                    If percent < nextPercentToLog OrElse (percent > 70 AndAlso nextPercentToLog < 30) Then
                        Return
                    End If

                    Console.WriteLine(progress.StatusDescription & " " + percent.ToString() & "%")
                    nextPercentToLog = If(percent > 70, 25, nextPercentToLog + 25)
                End Sub

                Console.WriteLine("Converting " & pdfPath & " to " & outputPath)

                ' Convert the file
                Dim result As ConversionStatus = converter.ConvertTo(outputPath, True)

                ' Check if it was successful
                If result <> ConversionStatus.Success Then
                    Console.WriteLine("Converting " & pdfPath & " to " & outputPath & " failed with status: " & result.ToString())
                    Console.WriteLine()
                    Return False
                End If
            End Using

            Console.WriteLine("Successfully converted " & pdfPath & " to " & outputPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
