﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function RunSample() As Integer
            Dim licensePath As String = "..\SolidFramework\license.xml"

            If Not InitializeSolidFramework(licensePath) Then
                Console.WriteLine("SolidFramework initialization failed.")
                Return -1
            End If

            Console.WriteLine("SolidFramework is initialized and ready to be used.")
            Return 0
        End Function

        Function InitializeSolidFramework(ByVal licensePath As String) As Boolean
            Try
                SolidFramework.License.Import(licensePath)
            Catch ex As SolidFramework.InvalidLicenseException
                Console.WriteLine("Couldn't import license from path " & licensePath & " due to exception: " & ex.Message)
                Return False
            End Try

            Return True
        End Function

        Private Function Main(ByVal args As String()) As Integer
            Try
                Return RunSample()
            Catch ex As Exception
                Console.WriteLine("Unhandled " & ex.[GetType]().Name & ": " & ex.Message)
                Return -2
            End Try
        End Function
    End Module
End Namespace
