﻿Imports System
Imports SolidFramework.Converters.Plumbing
Imports SolidFramework.Pdf
Imports SolidFramework.Pdf.Transformers

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function OcrTransformer(ByVal pdfPath As String, ByVal outputPath As String) As Boolean

            ' Ensure license allows OCR
            If Not SolidFramework.License.Allows(SolidFramework.Plumbing.LicensePermissions.Ocr) Then
                Console.WriteLine("License doesn't allow OCR - skipping OcrTransformer")
                Console.WriteLine()
                Return False
            End If

            ' Create a PdfDocument And open the PDF file
            Using document As PdfDocument = New PdfDocument(pdfPath)
                document.Open()

                ' Create an OcrTransformer
                Dim transformer As OcrTransformer = New OcrTransformer()

                ' Set the OCR options to your liking
                transformer.OcrType = OcrType.CreateSearchableTextLayer
                transformer.OcrEngine = TextRecoveryEngine.SolidOCR
                transformer.OcrLanguage = "en"
                transformer.OcrImageCompression = SolidFramework.Imaging.Plumbing.ImageCompression.PreserveOriginal

                ' Add the PdfDocument to the transformer
                transformer.AddDocument(document)

                Console.WriteLine("Transforming " & outputPath & " using an OcrTransformer")

                ' Transform the PdfDocument
                transformer.Transform()

                ' Save the updated document
                document.SaveAs(outputPath, SolidFramework.Plumbing.OverwriteMode.ForceOverwrite)
            End Using

            Console.WriteLine("Successfully transformed " & outputPath & " using an OcrTransformer")
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
