﻿Imports System
Imports SolidFramework.Pdf

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function SecurePdfFile(ByVal pdfPath As String, ByVal outputPath As String) As Boolean

            ' Create a PdfDocument And open the PDF file
            Using document As PdfDocument = New PdfDocument(pdfPath)
                document.Open()

                ' Create a Security Handler
                Dim securityHandler As PdfPasswordSecurityHandler = New PdfPasswordSecurityHandler()

                ' Set an owner password And an open password
                securityHandler.OwnerPassword = "owner"
                securityHandler.OpenPassword = "open"

                ' Set the encryption algorithm to use
                securityHandler.EncryptionAlgorithm = EncryptionAlgorithm.Aes256Bits

                ' Optional Restrict permissions
                securityHandler.Permissions = AccessPermissions.ContentEditing Or AccessPermissions.Extracting

                Console.WriteLine("Adding security to " & outputPath)

                ' Set the path to save to
                document.Path = outputPath

                ' Save the PdfDocument with the New security handler
                document.SaveProtected(securityHandler, SolidFramework.Plumbing.OverwriteMode.ForceOverwrite)
            End Using

            Console.WriteLine("Successfully added security to " & outputPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
