﻿Imports System
Imports SolidFramework.Pdf

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function SetViewerPreferences(ByVal pdfPath As String, ByVal outputPath As String) As Boolean

            ' Create a PdfDocument And open the PDF file
            Using document As PdfDocument = New PdfDocument(pdfPath)
                document.Open()

                ' Get the documents catalog object
                Dim catalog As Catalog = TryCast(document.Catalog, Catalog)

                ' Get the catalogs ViewerPreferences object (creating it if it doesn't exist)
                Dim viewerPreferences As ViewerPreferences = catalog.GetViewerPreferences(True)

                ' Modify the viewer preferences to your liking
                viewerPreferences.HideMenuBar = True
                viewerPreferences.HideToolBar = True
                viewerPreferences.HideWindowUI = True
                viewerPreferences.FitWindow = True

                Console.WriteLine("Updating viewer preferences for " & outputPath)

                ' Save the updated document
                document.SaveAs(outputPath, SolidFramework.Plumbing.OverwriteMode.ForceOverwrite)
            End Using

            Console.WriteLine("Successfully updated viewer preferences for " & outputPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
