﻿Imports System
Imports SolidFramework.Converters
Imports SolidFramework.Converters.Plumbing
Imports SolidFramework.Pdf.Reports

Namespace VBNet_Tutorials
    Partial Module Tutorials
        Function ValidatePdfA(ByVal pdfPath As String, ByVal outputPath As String) As Boolean

            ' Create a PdfToPdfAConverter
            Using converter As PdfToPdfAConverter = New PdfToPdfAConverter()

                ' Add the PDF file to validate
                converter.AddSourceFile(pdfPath)

                ' Set the PDF/A mode to validate as
                converter.ValidationMode = SolidFramework.Plumbing.ValidationMode.PdfA2B

                Console.WriteLine("Validating " & pdfPath)

                ' Validate the file
                converter.Validate()

                ' Check the results
                For Each result As ConversionResult In converter.Results
                    Dim status As ConversionStatus = result.Status

                    If status <> ConversionStatus.Success AndAlso status <> ConversionStatus.PdfAError Then
                        Console.WriteLine("Validating " & pdfPath & " failed with status: " & status.ToString())
                        Console.WriteLine()
                        Return False
                    End If
                Next

                Dim report As PdfAReport = converter.Report

                If report Is Nothing Then
                    Console.WriteLine("Validating " & pdfPath & " did not create a report")
                    Console.WriteLine()
                    Return False
                End If
            End Using

            Console.WriteLine("Successfully validated " & pdfPath & ". Report has been saved to " & outputPath)
            Console.WriteLine()
            Return True
        End Function
    End Module
End Namespace
